it-swarm.com.de

Pip - Schwerwiegender Fehler im Startprogramm: Prozess kann nicht mit "" "erstellt werden

Ich habe Python 3.5.1 über AMPPS installiert und es funktioniert. Wenn ich jedoch Pip verwenden möchte, erhalte ich die folgende Meldung:

Fatal error in launcher: Unable to create process using '"'

Ich habe bereits ampps in einem Pfad neu installiert, der keine Leerzeichen enthält. Beachten Sie, dass die Problemumgehung "python -m pip" für mich nicht funktioniert, da ich jedes Mal die folgende Meldung erhalte, wenn ich sie verwende:

C:\Users\MyUserName\Desktop\Ampps\python\python.exe: Error while finding spec for 'pip.__main__' (<class 'ImportError'>: No module named 'queue'); 'pip' is a package and cannot be directly executed

Wie bekomme ich Pip, um richtig zu funktionieren? Ich hoffe, es gibt eine Möglichkeit, den Befehl pip selbst ohne den vorhergehenden Befehl python zu verwenden.

BEARBEITEN: Dies passiert, wenn ich versuche, python -c "import pip.__main__" auszuführen:

Traceback (most recent call last):
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\__init__.py", line 11, in <module>
    from logging.config import dictConfig as logging_dictConfig
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\config.py", line 30, in <module>
    import logging.handlers
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\handlers.py", line 28, in <module>
    import queue
ImportError: No module named 'queue'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\__init__.py", line 13, in <module>
    from pip.utils import get_installed_distributions, get_prog
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\utils\__init__.py", line 18, in <module>
    from pip.compat import console_to_str, stdlib_pkgs
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\__init__.py", line 13, in <module>
    from pip.compat.dictconfig import dictConfig as logging_dictConfig
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\dictconfig.py", line 22, in <module>
    import logging.handlers
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\handlers.py", line 28, in <module>
    import queue
ImportError: No module named 'queue'
44
rinderwahn

Ich habe mein Problem behoben durch ...

  1. laden Sie Python 3 von der offiziellen Website herunter und installieren Sie es per Express-Installation
  2. Kopieren und fügen Sie den Standalone-Python in den Ordner ampps/python ein und überschreiben Sie die von AMPPS bereitgestellte Python-Version
  3. laufen python -m pip install --upgrade pip in cmd

Jetzt sind pip und python 3 in ihrer neuesten Version installiert.

Es scheint, dass AMPPS keinen vollwertigen Python-Build bietet. Sie müssen also Python selbst aktualisieren.

Danke an alle.

44
rinderwahn

Der gleiche Fehler, aber in einer anderen Situation. Ich habe eine virtuelle Umgebung, in der ich ausgeführt wurde, im \Scripts-Verzeichnis des VE, in dem pip.exe lautet:

pip freeze

Ich habe die Fehlermeldung erhalten

Fatal error in launcher: Unable to create process using '"'

Mein VE-Pfad enthält keinen Speicherplatz (google diesen Fehler). Dann versuchte ich python -m pip install --upgrade pip und bekam 

Requirement already up-to-date: pip in o:\upsdowns\flask\lib\site-packages

also habe ich es versucht 

python -m pip freeze

und das hat funktioniert. Ich denke, es könnte ein Pfadproblem in der VE sein, aber ich bin in Ordnung mit dieser Problemumgehung. 

Ich füge dies hier hinzu, da diese Seite hoch ist, wenn Sie diese Fehlermeldung lesen. Mit anderen Worten, ich habe keine neue Frage gestellt, auch wenn sich meine Situation von den OPs unterscheidet. Möglicherweise sogar, bin ich in diese Situation geraten, weil ich der virtuellen Umgebung keine Module "richtig" hinzugefügt habe. 

Jedenfalls hoffe ich, dass es einigen hilft. 

24
RolfBly

führen Sie diesen Python-Code aus:

import pip
pip.main(['install','flask']) # replace flask with the name of module you want to install

Wenn Sie mehrere Module aus einer Datei Requirements.txt installieren müssen,

import pip
fo = open("C:/...../requirements.txt", "r")
inp = fo.read()
ls =inp.split()     

for i in ls:
    pip.main(['install',i])
13
hfz

Eine weitere sehr einfache und einfache Lösung. Führen Sie die Installationsdatei (Setup-Datei) der entsprechenden Python-Version aus und klicken Sie auf den Reparaturmodus. Es dauert kaum ein bis zwei Minuten und danach funktioniert alles perfekt :)

Der schnellste Weg ist:

python -m pip install pip==9.0.0

Wenn Sie den neuesten Pip wünschen, können Sie ihn ausführen 

pip install -U pip

danach.

5

Ich habe eine sehr einfache Lösung gefunden, (Pip - Schwerwiegender Fehler im Launcher :)

1) Sie dürfen nicht mehrere Umgebungsvariablen für den Python-Pfad haben.

A) Goto Environmental Variables and delete Python27 in the path if you have Python 3.6.5 installed.  Pip is confused by multiple paths!!!
5
Tom E. O'Neil

Überprüfte den Umgebungspfad, ich habe zwei Pfade zu zwei pip.exe navigiert und dies hat diesen Fehler verursacht. Nachdem der redundante gelöscht und der PC neu gestartet wurde, wurde dieses Problem behoben. Das gleiche Problem für den Jupyter-Befehl wurde ebenfalls behoben. 

3
AzureSun

Es ist mir mit dem Pip-Paket passiert, dann habe ich es wie folgt gelöst:

1) Zuerst deinstalliere pip mit dem Python-Befehl

$python -m pip uninstall pip

2) Installieren Sie anschließend das pip-Paket erneut mit dem Befehl easy_install

$easy_install pip

3) Versuchen Sie abschließend erneut, den Befehl pip direkt in der Befehlszeile auszuführen, und installieren Sie ein beliebiges Paket

$pip install pylint

oder nur den Befehl pip ausführen

$pip
3
Juan Castaño

Ich habe den gleichen Fehler erhalten, aber bei Verwendung von Tensorboard:

Fatal error in launcher: Unable to create process using '"'

Ich fand heraus, dass das Problem durch zwei vorhandene Kopien von tensotboard.exe in zwei verschiedenen Verzeichnissen verursacht wurde. Beide Verzeichnisse wurden dem Pfad hinzugefügt:

C:\Program Files\Python36\Scripts

und

C:\Users\...\AppData\Local\Programs\Python\Python36\Scripts

Ich habe die erste aus dem Pfad entfernt und das Problem behoben.

2
Fariba Shaker

keine der anderen Antworten hat mir geholfen. Fall: Herabstufen von Python von 3.6 auf 3.5 für die Verwendung des Pakets pyinstaller.

hier ist die Lösung für diesen speziellen Fall:

  1. pip deinstallieren 
  2. gehen Sie zu C:\Benutzer\Ihr-Benutzer\AppData\Local\Programs\Python\Python36\Scripts
  3. löschen Sie das Skript, das in meinem Fall pyinstaller.exe ähnelt
  4. pip installieren 

vielleicht funktioniert es auch für Sie.

2
Arty McLabin

Ich habe python 2 und python 3 in meinem Windows 7 installiert. Nachdem ich beide Versionen von Python hatte, bin ich zum Herunterladen von PIP übergegangen.

Nach dem Herunterladen von pip über das Herunterladen der Datei get-pip.py rufen Sie den Befehl Prompt auf und navigieren Sie zu dem Ordner, der die Datei get-pip.py enthält.

Ich führe den folgenden Befehl aus:

python get-pip.py

nach dem Herunterladen von PIP wurde die folgende Fehlermeldung angezeigt: Schwerwiegender Fehler im Startprogramm: Der Prozess konnte nicht mit '"' SOLUTION erstellt werden. ** Bei mir hat dann Folgendes funktioniert: Ich führe einfach den folgenden Befehl aus

python3 -m pip install --upgrade pip

Und mein Pip fing an zu arbeiten. Ich hoffe es hilft !**

2
Yashi Aggarwal

Meine Lösung ist ziemlich einfach, ich hatte das gleiche Problem 

Fatal error in launcher: Unable to create process using '"'

die lösung bestand darin, den weg von wo aus ich pip laufen lasse.

2
Badr Bellaj

Für mich war es ein Fehler in meinem Weg. Sie sollten das Skript direkt über das Verzeichnis aufrufen, in dem es gespeichert ist.

C:\Users\YourUserName\AppData\Local\Programs\Python\Python36\Scripts\pip install requests

Und um python Skripte auszuführen, können Sie dies tun:

C:\Users\Avanish\AppData\Local\Programs\Python\Python36\python -m pip install requests
1

Ich habe die gleiche Fehlermeldung erhalten, wenn auf meinem Windows 7 sowohl Python2 als auch Python3 installiert wurden.

Sie können python3 -m pip install xxxxxx verwenden, um Ihr Paket zu installieren.

Oder reparieren Sie es vollständig:

  1. Versuchen Sie, python3 -m pip install --upgrade pip in cmd auszuführen.

  2. Wenn in Schritt 1 ein Fehler aufgetreten ist, versuchen Sie python3  -m pip install --upgrade --force-reinstall pip.

1
Baishan Lu

Nach dem Verschieben meines Projekts (einschließlich der virtuellen Umgebung) wurde dieser Fehler angezeigt. Wenn Sie die virtuelle Umgebung löschen und neu erstellen, haben Sie alles richtig gemacht.

Wie von RolfBly erwähnt, ermöglicht die Ausführung von python -m pip freeze > somefile vor dem Löschen der Umgebung eine schnelle Wiederherstellung: Durch die Ausführung von pip -r somefile in der neuen Umgebung werden alle Pakete wiederhergestellt.

1
Ben Delaney

Ich habe es gelöst, indem ich die Schritte auf dieser Website befolgte https://www.sysrecon.com/programming/python-pip-how-to-get-around-fatal-error-in-launcher-unable-to-create- Prozessverwendung/

Aktualisieren Sie pip mit: python -m pip install -U pip von der Befehlszeile aus, nachdem Sie das richtige Verzeichnis gefunden haben, in dem Python auf Ihrem Computer installiert ist. 

1

Ja, Sie müssen die Python-Version manuell aktualisieren.

0
girishlc

Diese Fehlermeldung wurde beim Ausführen des Befehls mit pip3 angezeigt. Ich habe Python 3.6 unter Windows installiert. Ich habe es versucht-

pip3 install PACKAGENAME

Es gab einen Fehler. Die Lösung in diesem speziellen Fall besteht einfach darin, den Befehl als pip auszuführen.

pip install PACKAGENAME

0
Ankit Seth

Ich habe versucht, das "bottle" -Paket in Python 3.6.6 mit der Pip-Version 18.0 unter Windows zu installieren. Ich hatte den gleichen Fehler wie folgt: -

Fatal error in launcher: Unable to create process using '"c:\users\arnab sinha\python.exe"  "C:\Users\Arnab Sinha\Scripts\pip.exe" install bottle'

Alles was ich danach tippte war 

py -m pip install bottle

Das hat mein Problem gelöst. 

0
Arnab Sinha

Ich habe den gleichen Fehler wie Sie getroffen. Das liegt daran, dass ich meine Python-Datei von D auf E-Disk transplantiert hatte. Als ich dann Python eingab, funktionierte es. Pip und andere Exe-Datei, die den gleichen Pfad wie Pip hat; es hat nicht funktioniert. Wenn die Reihenfolge "python -m pip install --upgrade pip" eingegeben wurde, funktionierte die Pip-Reihenfolge, aber andere exe-Dateien, die denselben Pfad wie pip haben, funktionierten nicht. Zum Schluss habe ich meinen Python deinstalliert und neu installiert. Alles ist in Ordnung. Vielleicht ist es nicht der beste Weg für euch alle, aber es ist für mich.

0
wolfog

Überprüfen Sie Ihre Windows PATH-Umgebungsvariable. Es hat ein Limit von 260 Zeichen und Ihr Python-Speicherort könnte das Zeichenlimit überschreiten.

Sie können Ihre Python-Pfade entweder in der Pfadliste nach oben verschieben oder die Windows-Zeichenbegrenzung wie hier beschrieben deaktivieren: https://msdn.Microsoft.com/de-de/library/windows/desktop/aa365247(v = vs.85) .aspx

Mit einem Registrierungsschlüssel können Sie das neue Verhalten für lange Pfade aktivieren oder deaktivieren. Um das Verhalten für lange Pfade zu aktivieren, setzen Sie den Registrierungsschlüssel unter HKLM\SYSTEM\CurrentControlSet\Control\FileSystem LongPathsEnabled (Typ: REG_DWORD). Der Wert des Schlüssels wird vom System (pro Prozess) nach dem ersten Aufruf einer betroffenen Win32-Datei oder -Verzeichnisfunktion zwischengespeichert (Liste folgt). Der Registrierungsschlüssel wird während der Laufzeit des Prozesses nicht erneut geladen. Damit alle Apps im System den Wert des Schlüssels erkennen können, ist möglicherweise ein Neustart erforderlich, da möglicherweise einige Prozesse gestartet wurden, bevor der Schlüssel festgelegt wurde.

Der Registrierungsschlüssel kann auch über Gruppenrichtlinien unter Computerkonfiguration> Administrative Vorlagen> System> Dateisystem> Lange NTFS-Pfade steuern gesteuert werden.

0
Austin Rappa

Alle oben genannten Antworten sind eine große technische Hilfe. Vor kurzem hatte ich das gleiche Problem aufgrund eines Fehlers, den ich bei meinem Projekt gemacht habe.

Ich habe venv in meinem Projektstamm erstellt, indem ich den Befehl python -m venv . ausgab, und dann mochte ich aus irgendeinem Grund den Namen meines Projekts nicht. Also habe ich es geändert und boom.

pip hat sich unregelmäßig verhalten und ich habe in Dutzenden von Foren nach beschädigten Dateien gesucht, die sich in meine python -Installation eingeschlichen haben. Ich habe dort keine Lösung gefunden, die mir helfen könnte. Schließlich öffnete ich meine activate.bat -Datei, um zu erfahren, wie dieses Skript meine Umgebung veränderte, und sah dort den alten Projektnamen. Eureka!

Ich kehrte zu meinem alten Projektnamen zurück und alles wurde reibungslos. Ohne Neuinstallation. Ohne Änderungswunsch an den Office-Administrator. Ohne Verzögerung.

SOLUTION: Wenn Sie den Namen Ihres Projekts nach dem Erstellen Ihres venv geändert haben, kann dieser Fehler auftreten. Wenn Sie den neuen Namen in den alten Namen zurücksetzen, sparen Sie Zeit und Mühe. Bitte vergessen Sie auch nicht zu stimmen, wenn diese Antwort geholfen hat.

0
Tony

Wenn keine der oben genannten Lösungen funktioniert, kann dies an Umgebungsvariablen liegen, die auf zwei verschiedene Speicherorte verweisen. Benutz einfach where virtualenv, um die Pfade zu finden, die mit dem Befehl virtualenv verknüpft sind. Führen Sie Folgendes in cmd aus.

D:\>where virtualenv

Die Ausgabe sieht folgendermaßen aus:

C:\Programme\Python37\Scripts\virtualenv.exe

C:\Benutzer\Benutzername\AppData\Local\Programs\Python\Python36\Scripts\virtualenv.exe

Sie können sehen, dass es einen Installationskonflikt zwischen python36 und python37 gibt. Ich habe gerade den Ordner python37 gelöscht und der Konflikt wurde behoben.

0
Prometheus

Ich fing an, das zu sehen 

Fatal error in launcher: Unable to create process using '"'

nach der Installation von Python 3.6 auf einem Windows 10-Computer. Ich habe die Path-Variable so eingestellt, dass sie auf den Python36-Ordner verweist. Der Python-Befehl hat ordnungsgemäß funktioniert, der Pip-Befehl jedoch nicht. 

Um den Fehler zu beheben, öffne ich den Befehl Prompt Shell mit Administratorrechten und habe die Pip-Befehle ausgeführt.

0
Stryder03

Meine Lösung ist, twine upload über das python -m-Argument auszuführen.

Verwenden Sie also einfach python -m:

python -m twine upload dist/*

0